onEvent('recipes', event => {
	//
	// Изменяем крафт атомного разборщика
	//
	event.remove({output: 'mekanism:atomic_disassembler'})
	event.shaped('1x mekanism:atomic_disassembler', [
		'AEA',
		'ACA',
		' O '
	  ], {
		A: 'mekanism:alloy_atomic',
		C: 'mekanism:ultimate_control_circuit',
		E: 'mekanism:energy_tablet',
        O: 'mekanism:ingot_refined_obsidian'
	  })
	event.remove({id: 'mekanism:hdpe_sheet'})
	event.remove({id: 'mekanism:hdpe_rod'})
	
	// блок теплового испарителя
	event.remove({output: 'mekanism:thermal_evaporation_block'})
	event.shaped('4x mekanism:thermal_evaporation_block', [
		' I ',
		'IBI',
		' I '
	  ], {
		I: 'immersiveengineering:ingot_steel',
		B: 'minecraft:copper_block'
	  })
	// обшивка турбины
	event.remove({output: 'mekanismgenerators:turbine_casing'})
	event.shaped('4x mekanismgenerators:turbine_casing', [
		' I ',
		'IBI',
		' I '
	  ], {
		I: 'immersiveengineering:ingot_steel',
		B: 'mekanism:block_osmium'
	  })
	// структурное стекло
	event.remove({output: 'mekanism:structural_glass'})
	event.shaped('1x mekanism:structural_glass', [
		' I ',
		'IGI',
		' I '
	  ], {
		I: 'immersiveengineering:ingot_steel',
		G: '#forge:glass'
	  })
	// индукционный корпус
	event.remove({output: 'mekanism:induction_casing'})
	event.shaped('1x mekanism:induction_casing', [
		' I ',
		'IGI',
		' I '
	  ], {
		I: 'immersiveengineering:ingot_steel',
		G: 'mekanism:energy_tablet'
	  })
	  

	// индукционная ячейка
	event.remove({output: 'mekanism:basic_induction_cell'})
	event.shaped('mekanism:basic_induction_cell', [
		'TCT',
		'CKC',
		'TCT'
	  ], {
		T: 'mekanism:dust_lithium',
		C: 'mekanism:energy_tablet',
		K: 'mekanism:basic_energy_cube'
	  })
	event.remove({output: 'mekanism:advanced_induction_cell'})
	event.shaped('mekanism:advanced_induction_cell', [
		'TCT',
		'CKC',
		'TCT'
	  ], {
		T: 'mekanism:energy_tablet',
		C: 'mekanism:basic_induction_cell',
		K: 'mekanism:advanced_energy_cube'
	  })
	event.remove({output: 'mekanism:elite_induction_cell'})
	event.shaped('mekanism:elite_induction_cell', [
		'TCT',
		'CKC',
		'TCT'
	  ], {
		T: 'mekanism:energy_tablet',
		C: 'mekanism:advanced_induction_cell',
		K: 'mekanism:elite_energy_cube'
	  })
	event.remove({output: 'mekanism:ultimate_induction_cell'})
	event.shaped('mekanism:ultimate_induction_cell', [
		'TCT',
		'CKC',
		'TCT'
	  ], {
		T: 'mekanism:energy_tablet',
		C: 'mekanism:elite_induction_cell',
		K: 'mekanism:ultimate_energy_cube'
	  })
	  
	// поставщики
	event.remove({output: 'mekanism:basic_induction_provider'})
	event.shaped('mekanism:basic_induction_provider', [
		'TCT',
		'CKC',
		'TCT'
	  ], {
		T: 'mekanism:dust_lithium',
		C: 'mekanism:basic_control_circuit',
		K: 'mekanism:basic_energy_cube'
	  })
	event.remove({output: 'mekanism:advanced_induction_provider'})
	event.shaped('mekanism:advanced_induction_provider', [
		'TCT',
		'CKC',
		'TCT'
	  ], {
		T: 'mekanism:advanced_control_circuit',
		C: 'mekanism:basic_induction_provider',
		K: 'mekanism:advanced_energy_cube'
	  })
	event.remove({output: 'mekanism:elite_induction_provider'})
	event.shaped('mekanism:elite_induction_provider', [
		'TCT',
		'CKC',
		'TCT'
	  ], {
		T: 'mekanism:elite_control_circuit',
		C: 'mekanism:advanced_induction_provider',
		K: 'mekanism:elite_energy_cube'
	  })
	event.remove({output: 'mekanism:ultimate_induction_provider'})
	event.shaped('mekanism:ultimate_induction_provider', [
		'TCT',
		'CKC',
		'TCT'
	  ], {
		T: 'mekanism:ultimate_control_circuit',
		C: 'mekanism:elite_induction_provider',
		K: 'mekanism:ultimate_energy_cube'
	  })
	  
	// кубы
    event.remove({output: 'mekanism:basic_energy_cube'})
	event.shaped('mekanism:basic_energy_cube', [
		'TCT',
		'IKI',
		'TCT'
	  ], {
		T: 'minecraft:redstone',
		I: 'minecraft:iron_ingot',
		C: 'mekanism:energy_tablet',
		K: 'mekanism:steel_casing'
	  })
	event.remove({output: 'mekanism:advanced_energy_cube'})
	event.shaped('mekanism:advanced_energy_cube', [
		'TCT',
		'IKI',
		'TCT'
	  ], {
		T: 'mekanism:alloy_infused',
		I: 'mekanism:ingot_osmium',
		C: 'mekanism:energy_tablet',
		K: 'mekanism:basic_energy_cube'
	  })
	event.remove({output: 'mekanism:elite_energy_cube'})
	event.shaped('mekanism:elite_energy_cube', [
		'TCT',
		'IKI',
		'TCT'
	  ], {
		T: 'mekanism:alloy_reinforced',
		I: 'minecraft:gold_ingot',
		C: 'mekanism:energy_tablet',
		K: 'mekanism:advanced_energy_cube'
	  })
	event.remove({output: 'mekanism:ultimate_energy_cube'})
	event.shaped('mekanism:ultimate_energy_cube', [
		'TCT',
		'IKI',
		'TCT'
	  ], {
		T: 'mekanism:alloy_atomic',
		I: 'minecraft:diamond',
		C: 'mekanism:energy_tablet',
		K: 'mekanism:elite_energy_cube'
	  })

	// энергетический планшет
	event.remove({output: 'mekanism:energy_tablet'})
	event.shaped('mekanism:energy_tablet', [
		'TCT',
		'ICI',
		'TCT'
	  ], {
		T: 'mekanism:alloy_infused',
		I: 'minecraft:redstone',
		C: 'minecraft:gold_ingot'
	  })
})